--
-- file prepared: 10 January 2024 13:10:57.718, using fd577h
--
self_ID = "f4d"
declare_plugin(self_ID,
{
	displayName = _("f4d"),
	developerName = _("Half Science, the 'clay pigeon' series"),  --see artistic credits in the readme.txt

	image = "FC.bmp",
	installed = true,
	dirName = current_mod_path,
	fileMenuName = _("f4d"),

	version = " ",
	state = "installed",
	info = _("The Douglas F4D Skyray is an American carrier-based fighter/interceptor designed and produced by the Douglas Aircraft Company. It was a delta wing interceptor capable of a high rate of climb as to permit the rapid interception of approaching hostile bombers. The Skyray had a relatively brief service life, during which it never participated in actual combat. Despite this, it was the first carrier-launched aircraft to hold the world's absolute speed record, having attained a top speed of 752.943 mph, (1,211.744 km/h). It also set a new time-to-altitude record, flying from a standing start to 49,221 feet (15,003 m) in two minutes and 36 seconds, all while flying at a 70° pitch angle. The last Skyrays were withdrawn from service in February 1964, although a handful continued to be flown for experimental purposes by National Advisory Committee for Aeronautics (NACA) up to the end of the decade. (source: https://en.wikipedia.org/wiki/Douglas_F4D_Skyray) "),

	update_id = "f4d",

	Skins =
	{
		{
			name = _("f4d"),
			dir = "Theme"
		},
	},
	Missions =
	{
		{
			name = _("f4d"),
			dir = "Missions",
		},
	},
	LogBook =
	{
		{
			name = _("f4d"),
			type = "f4d",
		},
	},
	InputProfiles =
	{
		["f4d"] = current_mod_path .. '/Input/f4d',
	},
})
----------------------------------------------------------------------------------------
mount_vfs_texture_path(current_mod_path.."/Textures")
mount_vfs_model_path(current_mod_path.."/Shapes")
dofile(current_mod_path.."/Views.lua")
dofile(current_mod_path.."/weapons.lua")
make_view_settings('f4d', ViewSettings, SnapViews)
make_flyable('f4d', current_mod_path..'/Cockpit/Scripts/', { nil, old = 54 }, current_mod_path..'/comm.lua')
dofile(current_mod_path..'/f4d.lua')
------------------------------------------------------------------------------------ -
plugin_done()

