--
-- file prepared: 10 January 2024 13:12:28.599, using fd577h
--
self_ID = "f7u"
declare_plugin(self_ID,
{
	displayName = _("f7u"),
	developerName = _("Half Science, the 'clay pigeon' series"),  --see artistic credits in the readme.txt

	image = "FC.bmp",
	installed = true,
	dirName = current_mod_path,
	fileMenuName = _("f7u"),

	version = " ",
	state = "installed",
	info = _("The Vought F7U Cutlass is a carrier-based jet fighter and fighter-bomber. It was the first tailless production fighter in the United States as well as United States Navy's first jet with swept wings and the first to be designed with afterburners. Initially powered by two Westinghouse J34 turbojet engines which were relatively underpowered, contributing to its accident-prone nature; its unreliable hydraulic flight control system was also a source of difficulties. Although later variants (F7U-2 and F7U-3) were equipped with more powerful engines, the Cutlass continued to frequently suffer from both technical and handling problems throughout the aircraft's service life. Accidents involving the type were responsible for the deaths of four test pilots and 21 other U.S. Navy pilots. Over one quarter of all Cutlasses built were destroyed in accidents.  The aircraft was withdrawn during the late 1950s after having been in service for less than ten years. (source: https://en.wikipedia.org/wiki/Vought_F7U_Cutlass)   "),

	update_id = "f7u",

	Skins =
	{
		{
			name = _("f7u"),
			dir = "Theme"
		},
	},
	Missions =
	{
		{
			name = _("f7u"),
			dir = "Missions",
		},
	},
	LogBook =
	{
		{
			name = _("f7u"),
			type = "f7u",
		},
	},
	InputProfiles =
	{
		["f7u"] = current_mod_path .. '/Input/f7u',
	},
})
----------------------------------------------------------------------------------------
mount_vfs_texture_path(current_mod_path.."/Textures")
mount_vfs_model_path(current_mod_path.."/Shapes")
dofile(current_mod_path.."/Views.lua")
dofile(current_mod_path.."/weapons.lua")
make_view_settings('f7u', ViewSettings, SnapViews)
make_flyable('f7u', current_mod_path..'/Cockpit/Scripts/', { nil, old = 54 }, current_mod_path..'/comm.lua')
dofile(current_mod_path..'/f7u.lua')
------------------------------------------------------------------------------------ -
plugin_done()

