--
-- file prepared: 10 January 2024 13:10:45.621, using fd577h
--
self_ID = "fj1"
declare_plugin(self_ID,
{
	displayName = _("fj1"),
	developerName = _("Half Science, the 'clay pigeon' series"),  --see artistic credits in the readme.txt

	image = "FC.bmp",
	installed = true,
	dirName = current_mod_path,
	fileMenuName = _("fj1"),

	version = " ",
	state = "installed",
	info = _("The North American FJ-1 Fury was an early turbojet-powered carrier-capable fighter aircraft used by the United States Navy (USN). Developed by North American Aviation (NAA) starting in 1945, it became the first jet aircraft in USN service to serve at sea under operational conditions. The FJ-1 was an early transitional jet of limited success which carried over similar tail surfaces, wing, and canopy derived from the piston-engined P-51D Mustang. The evolution of the design to incorporate swept wings would become the basis for the land-based XP-86 prototype (itself originally designed with a very similar straight-wing planform to the FJ-1 airframe) of the United States Air Force's enormously influential F-86 Sabre, which in turn formed the basis for the Navy's carrier-based North American FJ-2/-3 Fury. (source: https://en.wikipedia.org/wiki/North_American_FJ-1_Fury)   "),

	update_id = "fj1",

	Skins =
	{
		{
			name = _("fj1"),
			dir = "Theme"
		},
	},
	Missions =
	{
		{
			name = _("fj1"),
			dir = "Missions",
		},
	},
	LogBook =
	{
		{
			name = _("fj1"),
			type = "fj1",
		},
	},
	InputProfiles =
	{
		["fj1"] = current_mod_path .. '/Input/fj1',
	},
})
----------------------------------------------------------------------------------------
mount_vfs_texture_path(current_mod_path.."/Textures")
mount_vfs_model_path(current_mod_path.."/Shapes")
dofile(current_mod_path.."/Views.lua")
dofile(current_mod_path.."/weapons.lua")
make_view_settings('fj1', ViewSettings, SnapViews)
make_flyable('fj1', current_mod_path..'/Cockpit/Scripts/', { nil, old = 54 }, current_mod_path..'/comm.lua')
dofile(current_mod_path..'/fj1.lua')
------------------------------------------------------------------------------------ -
plugin_done()

