--
-- file prepared: 10 January 2024 22:57:21.028, using fd577h
--
self_ID = "jaguar"
declare_plugin(self_ID,
{
	displayName = _("jaguar"),
	developerName = _("Half Science, the 'clay pigeon' series"),  --see artistic credits in the readme.txt

	image = "FC.bmp",
	installed = true,
	dirName = current_mod_path,
	fileMenuName = _("jaguar"),

	version = " ",
	state = "installed",
	info = _("The SEPECAT Jaguar is an Anglo-French jet attack aircraft originally used by the British Royal Air Force and the French Air Force in the close air support and nuclear strike role. It is still in service with the Indian Air Force. The Jaguar was exported to India, Oman, Ecuador and Nigeria. The aircraft was used in numerous conflicts and military operations in Mauritania, Chad, Iraq, Bosnia, and Pakistan, as well as providing a ready nuclear delivery platform for the United Kingdom, France, and India throughout the latter half of the Cold War and beyond. In the Gulf War, the Jaguar was praised for its reliability and was a valuable coalition resource. The aircraft served with the French Air Force as the main strike/attack aircraft until 1 July 2005, and with the Royal Air Force until the end of April 2007, being replaced by the Eurofighter Typhoon (RAF) and Dassault Rafale (French Air Force). (source: https://en.wikipedia.org/wiki/SEPECAT_Jaguar)   "),

	update_id = "jaguar",

	Skins =
	{
		{
			name = _("jaguar"),
			dir = "Theme"
		},
	},
	Missions =
	{
		{
			name = _("jaguar"),
			dir = "Missions",
		},
	},
	LogBook =
	{
		{
			name = _("jaguar"),
			type = "jaguar",
		},
	},
	InputProfiles =
	{
		["jaguar"] = current_mod_path .. '/Input/jaguar',
	},
})
----------------------------------------------------------------------------------------
mount_vfs_texture_path(current_mod_path.."/Textures")
mount_vfs_model_path(current_mod_path.."/Shapes")
dofile(current_mod_path.."/Views.lua")
dofile(current_mod_path.."/weapons.lua")
make_view_settings('jaguar', ViewSettings, SnapViews)
make_flyable('jaguar', current_mod_path..'/Cockpit/Scripts/', { nil, old = 54 }, current_mod_path..'/comm.lua')
dofile(current_mod_path..'/jaguar.lua')
------------------------------------------------------------------------------------ -
plugin_done()

