--
-- file prepared: 10 January 2024 13:07:22.240, using fd577h
--
self_ID = "f3d"
declare_plugin(self_ID,
{
	displayName = _("f3d"),
	developerName = _("Half Science, the 'clay pigeon' series"),  --see artistic credits in the readme.txt

	image = "FC.bmp",
	installed = true,
	dirName = current_mod_path,
	fileMenuName = _("f3d"),

	version = " ",
	state = "installed",
	info = _("The Douglas F3D Skyknight is an American twin-engined, mid-wing jet fighter aircraft designed and manufactured by the Douglas Aircraft Company.  Designed as a jet-powered, radar-equipped, carrier-based night fighter for the United States Navy. It was equipped with a Westinghouse AN/APQ-35 fire control system, which incorporated three separate radars. The F3D saw service with the United States Navy and United States Marine Corps. Its primary mission was to locate and destroy enemy aircraft at night. The Skyknight was not produced in great numbers, yet it achieved numerous firsts in its role as a night fighter during the Korean War, where the type frequently escorted B-29s on night bombing missions. While it never achieved the fame of the North American F-86 Sabre, it downed several Soviet-built MiG-15s as a night fighter over Korea. It only sustained a single air-to-air loss against a Chinese MiG-15, which occurred on the night of 29 May 1953. (source: https://en.wikipedia.org/wiki/Douglas_F3D_Skyknight)   "),

	update_id = "f3d",

	Skins =
	{
		{
			name = _("f3d"),
			dir = "Theme"
		},
	},
	Missions =
	{
		{
			name = _("f3d"),
			dir = "Missions",
		},
	},
	LogBook =
	{
		{
			name = _("f3d"),
			type = "f3d",
		},
	},
	InputProfiles =
	{
		["f3d"] = current_mod_path .. '/Input/f3d',
	},
})
----------------------------------------------------------------------------------------
mount_vfs_texture_path(current_mod_path.."/Textures")
mount_vfs_model_path(current_mod_path.."/Shapes")
dofile(current_mod_path.."/Views.lua")
dofile(current_mod_path.."/weapons.lua")
make_view_settings('f3d', ViewSettings, SnapViews)
make_flyable('f3d', current_mod_path..'/Cockpit/Scripts/', { nil, old = 54 }, current_mod_path..'/comm.lua')
dofile(current_mod_path..'/f3d.lua')
------------------------------------------------------------------------------------ -
plugin_done()

