--
-- file prepared: 10 January 2024 22:59:58.521, using fd577h
--
self_ID = "f3h"
declare_plugin(self_ID,
{
	displayName = _("f3h"),
	developerName = _("Half Science, the 'clay pigeon' series"),  --see artistic credits in the readme.txt

	image = "FC.bmp",
	installed = true,
	dirName = current_mod_path,
	fileMenuName = _("f3h"),

	version = " ",
	state = "installed",
	info = _("The McDonnell F3H Demon is a subsonic swept-wing carrier-based jet fighter aircraft designed and produced by the American manufacturer McDonnell Aircraft Corporation. The Demon was designed as a high-performance swept-wing naval fighter for the United States Navy to succeed the McDonnell F2H Banshee. The original design for a short-range interceptor was reworked into a heavier medium-range all-weather fighter to counter the Mikoyan-Gurevich MiG-15 jet fighter being encountered during the Korean War; however, the Demon's additional weight of approx 7,000 lb (3,200 kg), negatively impacted its performance. The original power plant was the Westinghouse J40 turbojet engine, which suffered severe problems including low thrust output and reliability, leading to another major redesign of the aircraft to accept the alternative Allison J71 powerplant. (source: https://en.wikipedia.org/wiki/McDonnell_F3H_Demon)   "),

	update_id = "f3h",

	Skins =
	{
		{
			name = _("f3h"),
			dir = "Theme"
		},
	},
	Missions =
	{
		{
			name = _("f3h"),
			dir = "Missions",
		},
	},
	LogBook =
	{
		{
			name = _("f3h"),
			type = "f3h",
		},
	},
	InputProfiles =
	{
		["f3h"] = current_mod_path .. '/Input/f3h',
	},
})
----------------------------------------------------------------------------------------
mount_vfs_texture_path(current_mod_path.."/Textures")
mount_vfs_model_path(current_mod_path.."/Shapes")
dofile(current_mod_path.."/Views.lua")
dofile(current_mod_path.."/weapons.lua")
make_view_settings('f3h', ViewSettings, SnapViews)
make_flyable('f3h', current_mod_path..'/Cockpit/Scripts/', { nil, old = 54 }, current_mod_path..'/comm.lua')
dofile(current_mod_path..'/f3h.lua')
------------------------------------------------------------------------------------ -
plugin_done()

