--
-- file prepared: 10 January 2024 12:52:37.642, using fd577g
--
self_ID = "f9f_5"
declare_plugin(self_ID,
{
	displayName = _("f9f_5"),
	developerName = _("Half Science, the 'clay pigeon' series"),  --see artistic credits in the readme.txt

	image = "FC.bmp",
	installed = true,
	dirName = current_mod_path,
	fileMenuName = _("f9f_5"),

	version = " ",
	state = "installed",
	info = _("The Grumman F9F Panther is an early carrier-based jet fighter designed and produced by the American aircraft manufacturer Grumman. It was the first jet-powered fighter aircraft operated by the United States Navy as well as being Grumman’s first jet fighter. (source: https://en.wikipedia.org/wiki/Grumman_F9F_Panther#Specifications_(F9F-5_Panther) ) "),

	update_id = "f9f_5",

	Skins =
	{
		{
			name = _("f9f_5"),
			dir = "Theme"
		},
	},
	Missions =
	{
		{
			name = _("f9f_5"),
			dir = "Missions",
		},
	},
	LogBook =
	{
		{
			name = _("f9f_5"),
			type = "f9f_5",
		},
	},
	InputProfiles =
	{
		["f9f_5"] = current_mod_path .. '/Input/f9f_5',
	},
})
----------------------------------------------------------------------------------------
mount_vfs_texture_path(current_mod_path.."/Textures")
mount_vfs_model_path(current_mod_path.."/Shapes")
dofile(current_mod_path.."/Views.lua")
dofile(current_mod_path.."/weapons.lua")
make_view_settings('f9f_5', ViewSettings, SnapViews)
make_flyable('f9f_5', current_mod_path..'/Cockpit/Scripts/', { nil, old = 54 }, current_mod_path..'/comm.lua')
dofile(current_mod_path..'/f9f_5.lua')
------------------------------------------------------------------------------------ -
plugin_done()

