--
-- file prepared: 10 January 2024 12:57:51.236, using fd577h
--
self_ID = "f9f_6"
declare_plugin(self_ID,
{
	displayName = _("f9f_6"),
	developerName = _("Half Science, the 'clay pigeon' series"),  --see artistic credits in the readme.txt

	image = "FC.bmp",
	installed = true,
	dirName = current_mod_path,
	fileMenuName = _("f9f_6"),

	version = " ",
	state = "installed",
	info = _("The Grumman F9F/F-9 Cougar is a carrier-based jet-powered fighter aircraft designed and produced by the American aircraft manufacturer Grumman. It was developed during the early 1950s on behalf of the United States Navy (US Navy) and United States Marine Corps (USMC).  Grumman adapted its earlier F9F Panther, replacing the straight wing of the Panther with a new swept wing. Thrust was also increased with the installation of a newer and more powerful engine. (source: https://en.wikipedia.org/wiki/Grumman_F-9_Cougar ) "),

	update_id = "f9f_6",

	Skins =
	{
		{
			name = _("f9f_6"),
			dir = "Theme"
		},
	},
	Missions =
	{
		{
			name = _("f9f_6"),
			dir = "Missions",
		},
	},
	LogBook =
	{
		{
			name = _("f9f_6"),
			type = "f9f_6",
		},
	},
	InputProfiles =
	{
		["f9f_6"] = current_mod_path .. '/Input/f9f_6',
	},
})
----------------------------------------------------------------------------------------
mount_vfs_texture_path(current_mod_path.."/Textures")
mount_vfs_model_path(current_mod_path.."/Shapes")
dofile(current_mod_path.."/Views.lua")
dofile(current_mod_path.."/weapons.lua")
make_view_settings('f9f_6', ViewSettings, SnapViews)
make_flyable('f9f_6', current_mod_path..'/Cockpit/Scripts/', { nil, old = 54 }, current_mod_path..'/comm.lua')
dofile(current_mod_path..'/f9f_6.lua')
------------------------------------------------------------------------------------ -
plugin_done()

