--
-- file prepared: 10 January 2024 13:16:02.711, using fd577h
--
self_ID = "mystere"
declare_plugin(self_ID,
{
	displayName = _("mystere"),
	developerName = _("Half Science, the 'clay pigeon' series"),  --see artistic credits in the readme.txt

	image = "FC.bmp",
	installed = true,
	dirName = current_mod_path,
	fileMenuName = _("mystere"),

	version = " ",
	state = "installed",
	info = _("The Dassault MD.454 Mystère IV is a 1950s French fighter-bomber aircraft, the first transonic aircraft to enter service with the French Air Force. It was used in large-scale combat in the Israeli Air Force during the 1967 Six Day War. The Mystère IV was an evolutionary development of the Mystère II aircraft. Although bearing an external resemblance to the earlier aircraft, the Mystère IV was in fact a new design with aerodynamic improvements for supersonic flight. The prototype first flew on 28 September 1952, and the aircraft entered service in April 1953. The first 50 Mystere IVA production aircraft were powered by British Rolls-Royce Tay turbojets, while the remainder had the French-built Hispano-Suiza Verdon 350 version of that engine.  Israeli Mystère IVs saw action during the Arab–Israeli wars and were joined by the French Mystères for the Suez crisis. (source: https://en.wikipedia.org/wiki/Dassault_Myst%C3%A8re_IV) "),

	update_id = "mystere",

	Skins =
	{
		{
			name = _("mystere"),
			dir = "Theme"
		},
	},
	Missions =
	{
		{
			name = _("mystere"),
			dir = "Missions",
		},
	},
	LogBook =
	{
		{
			name = _("mystere"),
			type = "mystere",
		},
	},
	InputProfiles =
	{
		["mystere"] = current_mod_path .. '/Input/mystere',
	},
})
----------------------------------------------------------------------------------------
mount_vfs_texture_path(current_mod_path.."/Textures")
mount_vfs_model_path(current_mod_path.."/Shapes")
dofile(current_mod_path.."/Views.lua")
dofile(current_mod_path.."/weapons.lua")
make_view_settings('mystere', ViewSettings, SnapViews)
make_flyable('mystere', current_mod_path..'/Cockpit/Scripts/', { nil, old = 54 }, current_mod_path..'/comm.lua')
dofile(current_mod_path..'/mystere.lua')
------------------------------------------------------------------------------------ -
plugin_done()

